Bug 473953 - error message from kernel from dlm
error message from kernel from dlm
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: David Teigland
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 11:08 EST by Baptiste Mille-Mathias
Modified: 2009-09-03 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 14:38:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Baptiste Mille-Mathias 2008-12-01 11:08:40 EST
Description of problem:
I had this error in the system log when trying multipath failover to my SAN, by removing some path (fiber, Fiber switches, ...)

Dec  1 11:53:17 sa-nas001-wb3 kernel: 
Dec  1 11:53:17 sa-nas001-wb3 kernel: DLM:  Assertion failed on line 3487 of file fs/dlm/lock.c
Dec  1 11:53:17 sa-nas001-wb3 kernel: DLM:  assertion:  "is_process_copy(lkb)"
Dec  1 11:53:17 sa-nas001-wb3 kernel: DLM:  time = 4298675660
Dec  1 11:53:17 sa-nas001-wb3 kernel: lkb: nodeid 0 id 1d50001 remid 17300c1 exflags 4 flags 0
Dec  1 11:53:17 sa-nas001-wb3 kernel:      status 2 rqmode -1 grmode 5 wait_type 0 ast_type 0
Dec  1 11:53:17 sa-nas001-wb3 kernel: 
Dec  1 11:53:17 sa-nas001-wb3 kernel: ----------- [cut here ] --------- [please bite here ] ---------
Dec  1 11:53:17 sa-nas001-wb3 kernel: Kernel BUG at fs/dlm/lock.c:3487
Dec  1 11:53:17 sa-nas001-wb3 kernel: invalid opcode: 0000 [1] SMP 
Dec  1 11:53:17 sa-nas001-wb3 kernel: last sysfs file: /kernel/dlm/WEB_data/control

Version-Release number of selected component (if applicable):
kernel is latest kernel available in RHEL 5.2 so it is 2.6.18-92.1.18.el5

How reproducible:
I don't know unfortunately :/

Additional info:
Installation architecture is X86_64
Comment 1 David Teigland 2008-12-02 14:38:19 EST
The multipath events do not have a direct relationship with the dlm,
but gfs and cluster events do.  I expect that a larger section of
/var/log/messages will show a gfs or cluster event at about this same
time.

This will be fixed in RHEL5.3 by one of the patches added for bug 450132;
in particular the patches with subjects:

dlm: reject messages from non-members
dlm: validate messages before processing

Note You need to log in before you can comment on or make changes to this bug.